<!DOCTYPE html>
<html lang="de" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>index</title>
</head>
<body>
<h1>Hafen</h1>
<h2>Schiffe</h2>

<div th:if="${shipList.size > 0}">
    <div th:each="ship : ${shipList}">
        <div style="margin-bottom: 10px">
            <a th:href="@{/shipDetails(shipId=${ship.getId()})}"><span style="font-weight: bold" th:text="${ship.name}"></span>
            </a>
            ,<span style="font-weight: bold" th:text="${ship.yearBuild}"></span>
            <br>


            <!-- Kommentare ausgeben zum Eintrag
            <div th:if="${input.getComments().size > 0}">
                <p style="font-weight: bolder">Kommentare</p>
                <div th:each="comment : ${input.getComments()}">
                    <div style="margin-bottom: 10px">
                        <span th:text="${comment.getText()}"></span>
                    </div>
                </div>
            </div>

            <a th:href="@{/createShip(shipId=${ship.getId()})}">Kommentar hinzufügen</a>
            <p style="font-weight: bolder">-----------------------------------------------------</p>
            -->
        </div>
    </div>
</div>

<div th:if="${shipList.size == 0}">
    keine Einträge vorhanden
</div>


<div style="margin: 15px">
    <a href="/createShip">Schiff hinzufügen</a>
</div>


</body>
</html>